Documentation>C API
Data Structures | Enumerations | Functions
lbp.h File Reference

Local Binary Patterns (LBP) descriptor (Local Binary Patterns (LBP) descriptor). More...

`#include "generic.h"`

## Data Structures

struct | VlLbp
| Local Binary Pattern extractor. More...

## Enumerations

enum | VlLbpMappingType { VlLbpUniform }
| Type of quantization for the LBP descriptors. More...

## Functions

VlLbp * | vl_lbp_new (VlLbpMappingType type, vl_bool transposed)
| Create a new LBP object.
void | vl_lbp_delete (VlLbp *self)
| Delete VlLbp object.
void | vl_lbp_process (VlLbp *self, float *features, float *image, vl_size width, vl_size height, vl_size cellSize)
| Extract LBP features.
vl_size | vl_lbp_get_dimension (VlLbp *self)
| Get the dimension of the LBP histograms.

## Detailed Description

Author
  Andrea Vedaldi

## Enumeration Type Documentation

## ◆ VlLbpMappingType

enum VlLbpMappingType

See also
  Quantized LBP

Enumerator
VlLbpUniform | Uniform local binary patterns.

## Function Documentation

## ◆ vl_lbp_delete()

void vl_lbp_delete | ( | VlLbp * | self | ) |

Parameters

  self | object to delete.

## ◆ vl_lbp_get_dimension()

vl_size vl_lbp_get_dimension | ( | VlLbp * | self | ) |

Returns
  dimension of the LBP histograms. The dimension depends on the type of quantization used.

See also
  vl_lbp_new().

## ◆ vl_lbp_new()

VlLbp * vl_lbp_new | ( | VlLbpMappingType | type,
|  | vl_bool | transposed )

Parameters

  type | type of LBP features.
  transposed | if `true`, then transpose each LBP pattern.

Returns
  new VlLbp object instance.

## ◆ vl_lbp_process()

void vl_lbp_process | ( | VlLbp * | self,
|  | float * | features,
|  | float * | image,
|  | vl_size | width,
|  | vl_size | height,
|  | vl_size | cellSize )

Parameters

  self | LBP object.
  features | buffer to write the features to.
  image | image.
  width | image width.
  height | image height.
  cellSize | size of the LBP cells.

features is a `numColumns` x `numRows` x `dimension` where `dimension` is the dimension of a LBP feature obtained from vl_lbp_get_dimension, `numColumns` is equal to `floor`(width / cellSize), and similarly for `numRows`.